/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ftp.dc;

import java.io.OutputStream;
import java.io.IOException;

import org.globus.ftp.Buffer;

public interface DataChannelWriter {

    public void setDataStream(OutputStream out);

    // looks like DataSink interface

    public void write(Buffer buffer)
	throws IOException;

    /*
      Send the mode-specific signal indicating that the data
      sending is done, but the underlying resources (the socket)
      will not necessarily be closed.
      E.g. in stream mode, do nothing. In Eblock mode, send EOD|EOF.
     */
    public void endOfData()
        throws IOException;

    /*
      Close the underlying resources (the socket)
     */
    public void close()
	throws IOException;
    
}
