/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ftp.dc;

import org.globus.ftp.Session;
import org.globus.ftp.GridFTPSession;

import org.apache.log4j.Logger;

public class GridFTPDataChannelFactory implements DataChannelFactory {

    protected static Logger logger =
        Logger.getLogger(GridFTPDataChannelFactory.class.getName());

    public DataChannel getDataChannel(Session session, SocketBox socketBox) {
	if (! (session instanceof GridFTPSession)) {
	    throw new IllegalArgumentException(
					       "session should be a GridFTPSession");
	}

	logger.debug("starting secure data channel");
	return new GridFTPDataChannel(session, socketBox);

    }
}
