/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ftp.dc;

import java.io.InputStream;
import java.io.IOException;

import org.globus.ftp.Buffer;

public class StreamImageDCReader implements DataChannelReader {

    public static final int BUF_SIZE = 2048;

    protected int bufferSize = BUF_SIZE;
    protected InputStream input;

    public void setDataStream(InputStream in) {
	input = in;
    }
    
    public Buffer read()
	throws IOException {
	byte[] bt = new byte[bufferSize];
	int read = input.read(bt);
	if (read == -1) {
	    return null;
	} else {
	    return new Buffer(bt, read);
	}
    }
    
    public void close() 
	throws IOException {
	input.close();
    }

}
