/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ftp.dc;

public abstract class Task {

    protected boolean complete = false;
    protected Exception exception;

    public abstract void execute() throws Exception;

    public void stop() {
    }

    public synchronized void setComplete(Exception e) {
	complete = true;
	exception = e;
	notify();
    }

    public synchronized Exception waitFor() {
	while (!complete) {
	    try {
		wait();
	    } catch (Exception e) {
		return e;
	    }
	}
	return exception;
    }
    
}
