/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ftp.exception;

import org.globus.ftp.vanilla.Reply; 

/**
   Indicates that the received reply had different code than
   it had been expected.
 */
public class UnexpectedReplyCodeException extends FTPException {

    private Reply reply;

    public UnexpectedReplyCodeException(int code, String msg, Reply r) {
	super(code,msg);
	this.reply = r;
    }

    public UnexpectedReplyCodeException(Reply r) {
	super(FTPException.UNSPECIFIED, 
	      "Unexpected reply: " + r);
	this.reply = r;
    }

    public Reply getReply() {
	return reply;
    }

 }
