/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.gram;

import org.ietf.jgss.GSSCredential;
import org.ietf.jgss.GSSException;

public class GramJobRun extends GramJob implements Runnable {
    String resourceManagerContact = null;

    private GramJobRun( GSSCredential cred, String rsl ) { 
	super( cred, rsl ); 
    }
    
    private GramJobRun( String rsl ) { 
	super( rsl ); 
    }

    public GramJobRun(	String rsl,
    			String resourceManagerContact ) {
	super( rsl );
    	this.resourceManagerContact = resourceManagerContact;
    }

    public void run() {
	try {
    	    request( resourceManagerContact );
	} catch( GSSException gpe ) {
	    System.err.println( "Error: " + gpe.getMessage() );
	    setStatus( STATUS_FAILED );
	} catch( GramException ge ) {
	    System.err.println( "Error: " + ge.getMessage() );
	    setStatus( STATUS_FAILED );
	}
    }
}
