/*
This file is licensed under the terms of the Globus Toolkit Public License,
found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.gsi.jaas;

import java.security.Principal;

/**
 * Simple string-based principal.
 */
public class SimplePrincipal 
    implements Principal {
    
    private String name;
    
    public SimplePrincipal(String name) {
	this.name = name;
    }
    
    public String getName() {
	return this.name;
    }
    
    public int hashCode() {
	return (this.name == null) ? 0 : this.name.hashCode();
    }

    public boolean equals(Object another) {
	if (!(another instanceof Principal)) {
	    return false;
	}
	String anotherName = ((Principal)another).getName();
	if (this.name == null) {
	    return (this.name == anotherName);
	} else {
	    return this.name.equals(anotherName);
	}
    }
    
    public String toString() {
	return getName();
    }

}
