/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.gsi.proxy;

import java.security.cert.X509Certificate;

import org.globus.gsi.proxy.ext.ProxyCertInfo;

import org.apache.log4j.Logger;

/**
 * A simple restricted proxy policy handler that logs the
 * proxy policy language oid. It can be used for debugging purposes.
 */
public class IgnoreProxyPolicyHandler implements ProxyPolicyHandler {

    private static Logger logger = 
	Logger.getLogger(IgnoreProxyPolicyHandler.class.getName());

    public void validate(ProxyCertInfo proxyCertInfo,
			 X509Certificate[] certPath,
			 int index)
	throws ProxyPathValidatorException {
	logger.info("ProxyPolicy ignored: " + proxyCertInfo.getProxyPolicy().getPolicyLanguage().getId());
    }
    
}
