/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.gsi.proxy.ext;

import org.globus.gsi.bc.BouncyCastleX509Extension;

/** 
 * Represents ProxyCertInfo X.509 extension.
 */
public class ProxyCertInfoExtension extends BouncyCastleX509Extension {

    public ProxyCertInfoExtension(ProxyCertInfo value) {
	super(ProxyCertInfo.OID.getId(), true, null);
	if (value == null) {
	    throw new IllegalArgumentException("value == null");
	}
	setValue(value);
    }

    public void setOid(String oid) {
	throw new RuntimeException("Oid cannot be changed");
    }

    public void setCritical(boolean critical) {
	throw new RuntimeException("Critical property cannot be changed");
    }


    
}
