/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.mds.gsi.common;

import java.io.OutputStream;
import java.io.IOException;

import org.globus.gsi.gssapi.net.GssOutputStream;

import org.ietf.jgss.GSSContext;

public class SaslOutputStream extends GssOutputStream {
    
    private byte [] lenBuf;

    public SaslOutputStream(OutputStream out, GSSContext context) {
	super(out, context);
	this.lenBuf = new byte[4];
    }

    public void flush() 
	throws IOException {
	if (index == 0) return;
	byte [] token = wrap();
	GSIMechanism.intToNetworkByteOrder(token.length, lenBuf, 0, 4);
	this.out.write(lenBuf);
	this.out.write(token);
	this.out.flush();
	index = 0;
    }
    
}
