/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.myproxy;

/**
 * Holds the parameters for the <code>destroy</code> operation.
 */
public class DestroyParams
    extends Params {

    private String credentialName;

    public DestroyParams() {
	super(3);
    }

    public DestroyParams(String username, String passphrase) {
	super(3, username, passphrase);
    }

    public void setCredentialName(String credentialName) {
	this.credentialName = credentialName;
    }

    public String getCredentialName() {
	return this.credentialName;
    }

    protected String makeRequest(boolean includePassword) {
	StringBuffer buf = new StringBuffer();
	buf.append(super.makeRequest(includePassword));
	add(buf, CRED_NAME, credentialName);
	return buf.toString();
    }
    
}
