/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.net.protocol.httpg;

import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

import org.globus.net.GSIHttpURLConnection;

public class Handler extends URLStreamHandler {
    
    protected URLConnection openConnection(URL u) {
	return new GSIHttpURLConnection(u);
    }
    
    protected int getDefaultPort() {
	return GSIHttpURLConnection.PORT;
    }

    protected void setURL(URL u, String protocol, String host, int port,
			  String authority, String userInfo, String path,
			  String query, String ref) {
	if (port == -1) {
	    port = getDefaultPort();
	}
	super.setURL(u, protocol, host, port, authority, userInfo,
		     path, query, ref);
    }

}
