/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.util.deactivator;

import java.util.*;

public class Deactivator {

    private static Hashtable modules = new Hashtable();

    public static void deactivateAll() {
	DeactivationHandler handler = null;
	Enumeration e = modules.keys();
	while(e.hasMoreElements()) {
	    handler = (DeactivationHandler)e.nextElement();
	    handler.deactivate();
	}
	modules.clear();
    }
    
    public static void registerDeactivation(DeactivationHandler handler) {
	modules.put(handler, "");
    }
    
    public static void unregisterDeactivation(DeactivationHandler handler) {
	modules.remove(handler);
    }
    
}
