/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.util.http;

import java.io.InputStream;
import java.io.IOException;

public class HTTPRequestParser extends HTTPParser {

    protected String _requestType;
    protected String _service;
    
    public HTTPRequestParser(InputStream is) 
	throws IOException {
	super(is);
    }

    public String getService() {
	return _service;
    }
    
    public void setService(String service) {
	_service = service;
    }

    public void parseHead(String line) 
	throws IOException {
	int st = line.indexOf(" ");
	if (st == -1) {
	    throw new IOException("Bad HTTP header");
	}
	_requestType = line.substring(0, st);
	
	st++;
	int et = line.indexOf(" ", st);
	if (et == -1) {
	    throw new IOException("Bad HTTP header");
	}
	_service = line.substring(st, et);
	
	et++;
    }
    
}
