/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.util.log4j;

import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.spi.LoggingEvent;

/**
 * This is a simple log4j appender that ignores all log messages. 
 */
public class NullAppender extends AppenderSkeleton {
    
    private static NullAppender appender;

    public static synchronized NullAppender getInstance() {
	if (appender == null) {
	    appender = new NullAppender();
	}
	return appender;
    }

    public void close() {
    }

    public boolean requiresLayout() {
	return false;
    }

    public void append(LoggingEvent event) {
    }

}
